- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# icx_lldp – Manage LLDP configuration on Ruckus ICX 7000 series switches

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of LLDP service on ICX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
check_running_config boolean | Choices: no yes ← | Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.
interfaces list |  | specify interfaces
| name list |  | List of ethernet ports to enable lldp. To add a range of ports use 'to' keyword. See the example.
| state string | Choices: present absent enabled disabled | State of lldp configuration for interfaces
state string | Choices: present absent enabled disabled | Enables the receipt and transmission of Link Layer Discovery Protocol (LLDP) globally.

## Notes

Note

- Tested against ICX 10.1.
- For information on using ICX platform, see the ICX OS Platform Options guide.

## Examples

    - name: Disable LLDP
      icx_lldp:
        state: absent

    - name: Enable LLDP
      icx_lldp:
        state: present

    - name: Disable LLDP on ports 1/1/1 - 1/1/10, 1/1/20
      icx_lldp:
        interfaces:
         - name:
            - ethernet 1/1/1 to 1/1/10
            - ethernet 1/1/20
           state: absent
        state: present

    - name: Enable LLDP on ports 1/1/5 - 1/1/10
      icx_lldp:
        interfaces:
          - name:
            - ethernet 1/1/1 to 1/1/10

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['lldp run', 'no lldp run']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ruckus Wireless (@Commscope)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.